courses
Post apiv1mecourses test out
POST
/
api
/
v1
/
me
/
courses
/
{courseId}
/
test-out
cURL
curl --request POST \
--url https://tessera.edstratumlabs.ai/api/v1/me/courses/{courseId}/test-out \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"answers": [
{
"itemId": "<string>",
"optionId": "<string>"
}
]
}
'import requests
url = "https://tessera.edstratumlabs.ai/api/v1/me/courses/{courseId}/test-out"
payload = { "answers": [
{
"itemId": "<string>",
"optionId": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({answers: [{itemId: '<string>', optionId: '<string>'}]})
};
fetch('https://tessera.edstratumlabs.ai/api/v1/me/courses/{courseId}/test-out', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"passed": true,
"percent": 50,
"certificate": {
"id": "<string>",
"code": "<string>",
"userId": "<string>",
"learnerName": "<string>",
"courseId": "<string>",
"courseTitle": "<string>",
"issuedAt": "<string>",
"basis": "completed",
"replaces": "<string>",
"replacedBy": "<string>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
Scoped tsk_… API token or Access JWT
Path Parameters
Minimum string length:
1Body
application/json
Maximum array length:
50Show child attributes
Show child attributes
⌘I
cURL
